---
title: Web3.Storage economics
description: Learn how Web3.Storage can offer decentralized storage at no cost by leveraging the unique economics of the Filecoin network.
---

import Img from 'components/cloudflareImage';
import ImgFilPlus from '../../../public/images/docs/web3-storage-fil-plus.gif';

# Web3.Storage economics

Web3.Storage offers a simple interface that allows users and developers to take advantage of the vast array of [decentralized storage][concepts-decentralized-storage] provided by the [Filecoin][fil] network. The unique economics of Filecoin allow Web3.Storage to be completely **free to use**, while still ensuring that storage providers have a strong incentive to preserve user data for the long term.

<Img src={ImgFilPlus} alt="An animation showing the increased profits available to Filecoin storage providers who store useful data." />

Filecoin storage providers commit their hard drive capacity to the Filecoin network, and earn significant block rewards for doing so. This translates into real-world profits for storage providers, which incentivizes them to continue committing additional hard disk space to the Filecoin network.

However, when storage providers are storing data from Filecoin users, their likelihood of winning block rewards goes up by a big factor 一 **10x**! Because Web3.Storage participates in the [Filecoin Plus][fil-plus] program, all data uploaded through the service is eligible for this 10x reward multiplier. This is such a powerful incentive for Filecoin storage providers to store user data that they tend to be willing to offer free storage and retrieval services in order to get this block reward multiple.

As a result, most storage providers offer free storage and retrieval on Filecoin today and will continue to do so as long as block rewards continue to be a powerful incentive. This should be true for a very long time 一 for example, it is still the case that block rewards are powerful incentives for Bitcoin miners today.

While there is some additional infrastructure cost associated with running the Web3.Storage service, [Protocol Labs][pl] is committed to maintaining this infrastructure indefinitely as part of our mission to grow the decentralized storage ecosystem and preserve humanity's information for future generations.

[concepts-decentralized-storage]: /docs/concepts/decentralized-storage/
[pl]: https://protocol.ai
[fil]: https://filecoin.io
[fil-plus]: https://docs.filecoin.io/store/filecoin-plus/
